Listar reservas
curl --request GET \
--url https://{tenantDomain}/api/v1/reservation \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/reservation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/reservation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/reservation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/reservation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}/api/v1/reservation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/reservation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"status": "<string>",
"deposit_amount": "<string>",
"deposit_payment_method": "<string>",
"deposit_payment_currency": "<string>",
"deposit_payment_date": "<string>",
"deposit_receipt": "<string>",
"seller_fee": "<string>",
"stock": "<string>",
"accreditation": "<string>",
"erp": "<string>",
"calculation": "<string>",
"owners": "<string>",
"deposit": "<string>",
"buying_offer": "<string>",
"buying_offer_file": "<string>",
"bill_of_sale": "<string>",
"bill_of_sale_file": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sale_estimation": {
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reserved_at": "<string>",
"expiration_date": "<string>",
"lead_channel": {
"id": "<string>",
"name": "<string>"
},
"lead": {
"id": "<string>",
"status": "<string>",
"profile": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"units": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Reservation
Listar reservas
Devuelve una lista paginada de reservas con el estado de cada etapa del proceso.
Requiere el permiso sale-estimation.viewAny.
GET
/
reservation
Listar reservas
curl --request GET \
--url https://{tenantDomain}/api/v1/reservation \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v1/reservation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v1/reservation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/reservation",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/reservation"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{tenantDomain}/api/v1/reservation")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/reservation")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"status": "<string>",
"deposit_amount": "<string>",
"deposit_payment_method": "<string>",
"deposit_payment_currency": "<string>",
"deposit_payment_date": "<string>",
"deposit_receipt": "<string>",
"seller_fee": "<string>",
"stock": "<string>",
"accreditation": "<string>",
"erp": "<string>",
"calculation": "<string>",
"owners": "<string>",
"deposit": "<string>",
"buying_offer": "<string>",
"buying_offer_file": "<string>",
"bill_of_sale": "<string>",
"bill_of_sale_file": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"sale_estimation": {
"id": "<string>",
"type": "<string>",
"status": "<string>",
"reserved_at": "<string>",
"expiration_date": "<string>",
"lead_channel": {
"id": "<string>",
"name": "<string>"
},
"lead": {
"id": "<string>",
"status": "<string>",
"profile": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>"
}
},
"units": "<string>"
}
}
],
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
},
"meta": {
"current_page": 123,
"from": 123,
"last_page": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"per_page": 123,
"to": 123,
"total": 123
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Available options:
created_at, updated_at Available options:
asc, desc Parámetros de filtrado específicos
Available options:
nuevo, depositado, reservado, vencido, anulado, completado Filtros de fecha